/*

# 
# Copyright (C) 2009, Intel Corporation.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.  
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307 USA.
#
# Authors:
#              Qin, Mu <qin.mu@intel.com>
#

 */
 

var acid3_content_visible = true;
var xhr_content_visible = true;
var iframe_content_visible = true;
var all_contents_visible = true;
var bov_content_visible = true;

function showHideContent(obj)
{
      var visible = null;
   var contentId = "";
  // change inner text of node
     if (obj.id == "a_acid3_toggle"){
     visible = acid3_content_visible;
     contentId = "div_acid3_content";
     acid3_content_visible = !acid3_content_visible;
     }
    else if (obj.id == "a_xhr_toggle"){
     visible = xhr_content_visible;
     contentId = "div_xhr_content";
     xhr_content_visible = !xhr_content_visible;
     }

    else if (obj.id == "a_iframe_toggle"){
     visible = iframe_content_visible;
     contentId = "div_iframe_content";
     iframe_content_visible = !iframe_content_visible;
     }
     
    else if (obj.id == "a_bov_toggle"){
     visible = bov_content_visible;
     contentId = "div_bov_content";
     bov_content_visible = !bov_content_visible;
     }

    else if (obj.id == "toggle_all_contents"){
     visible = all_contents_visible;
     contentId = "div_all_contents";
     all_contents_visible = !all_contents_visible;
     }
     
	if(visible == true)  {
		obj.innerHTML = "[show]" ;
	       document.getElementById(contentId).style.display = "none";
	       
	} else {
		obj.innerHTML = "[hide]" ;
		document.getElementById(contentId).style.display = "block";
		//alert ("here");
	}
		
}

function runTests()
{
   runAcid3Tests();	
   runXhrTests();
   runIFrameTests();
}


function runAcid3Tests()
{
//alert("runAcid3Tests");

//load reference image
/*
var div_acid3_ref = document.getElementById("div_acid3_ref");
if(div_acid3_ref){
var iframe_acid_ref  =  document.createElement("iframe");
iframe_acid_ref.src="reference.html";
div_acid3_ref.appendChild(iframe_acid_ref);
} else {
alert("can't find div_acid3_ref");
}
*/

//take Acid3 test
var div_acid3_test = document.getElementById("div_acid3_test");
if(div_acid3_test){
var iframe_acid3_test  =  document.createElement("iframe");
iframe_acid3_test.id = "iframe_acid3_test";
iframe_acid3_test.src="http://acid3.acidtests.org/";
div_acid3_test.appendChild(iframe_acid3_test);
} else {
alert("can't find div_acid3_test");
}

//show toggle link
var a_acid3_toggle = document.getElementById("a_acid3_toggle");
a_acid3_toggle.style.visibility = "visible";
a_acid3_toggle.innerHTML = "[hide]";
}


function runXhrTests()
{
//alert("runXmlHtmlRequestTests");
buildTestContent("xhr", "xmlhttprequest-tests/xmlhttprequest-test.htm");
}


function runIFrameTests()
{

//alert("runIFrameTests");
buildTestContent("iframe", "iframe-test/iframe.htm");

}

function buildTestContent(test_id, index_page_src)
{
//take Acid3 test
var div_test_id = "div_" + test_id + "_test";

var div_test = document.getElementById(div_test_id);
if(div_test){
var iframe_test  =  document.createElement("iframe");
iframe_test.src = index_page_src;
div_test.appendChild(iframe_test);

} else {
alert("can't find div_test: " + div_test_id);
}

//show toggle link
var a_toggle_id = "a_" + test_id + "_toggle";
var a_toggle = document.getElementById(a_toggle_id);
a_toggle.style.visibility = "visible";
a_toggle.innerHTML = "[hide]";

}


